# Index — SeisComP Release documentation

6.9.0

# Index – E

- earthModelID() (seiscomp.datamodel.Arrival method)
  - (seiscomp.datamodel.Origin method)
- EDA
- EIDA
- elevation() (seiscomp.datamodel.SensorLocation method)
  - (seiscomp.datamodel.Station method)
  - (seiscomp.datamodel.StationGroup method)
- email
  - configuration value
- email() (seiscomp.datamodel.ArclinkUser method)
- emails
  - configuration value
- Enable() (seiscomp.datamodel.Notifier static method), [1]
- enabled() (seiscomp.datamodel.ConfigModule method)
  - (seiscomp.datamodel.ConfigStation method)
  - (seiscomp.datamodel.Setup method)
- enableFixAutomaticSolutions
  - configuration value
- encoding
  - configuration value, [1]
- end() (seiscomp.datamodel.Access method)
  - (seiscomp.datamodel.ArclinkRequestLine method)
  - (seiscomp.datamodel.AuxStream method)
  - (seiscomp.datamodel.Comment method)
  - (seiscomp.datamodel.DataAttributeExtent method)
  - (seiscomp.datamodel.DataExtent method)
  - (seiscomp.datamodel.DataloggerCalibration method)
  - (seiscomp.datamodel.DataSegment method)
  - (seiscomp.datamodel.Network method)
  - (seiscomp.datamodel.Outage method)
  - (seiscomp.datamodel.QCLog method)
  - (seiscomp.datamodel.RouteArclink method)
  - (seiscomp.datamodel.SensorCalibration method)
  - (seiscomp.datamodel.SensorLocation method)
  - (seiscomp.datamodel.Station method)
  - (seiscomp.datamodel.StationGroup method)
  - (seiscomp.datamodel.Stream method)
  - (seiscomp.datamodel.TimeWindow method)
  - (seiscomp.datamodel.WaveformQuality method)
- Environment (class in seiscomp.Kernel)
- environment variable
  - D, [1], [2], [3]
  - d, R
  - h, [1]
  - H
  - OT, [1], [2], [3]
  - Z
- epicenter
- epicenterFixed() (seiscomp.datamodel.Origin method)
- equal() (seiscomp.datamodel.Access method)
  - (seiscomp.datamodel.Amplitude method)
  - (seiscomp.datamodel.AmplitudeReference method)
  - (seiscomp.datamodel.ArclinkLog method)
  - (seiscomp.datamodel.ArclinkRequest method)
  - (seiscomp.datamodel.ArclinkRequestLine method)
  - (seiscomp.datamodel.ArclinkRequestSummary method)
  - (seiscomp.datamodel.ArclinkStatusLine method)
  - (seiscomp.datamodel.ArclinkUser method)
  - (seiscomp.datamodel.Arrival method)
  - (seiscomp.datamodel.AuxDevice method)
  - (seiscomp.datamodel.AuxSource method)
  - (seiscomp.datamodel.AuxStream method)
  - (seiscomp.datamodel.Axis method)
  - (seiscomp.datamodel.Blob method)
  - (seiscomp.datamodel.Comment method)
  - (seiscomp.datamodel.ComplexArray method)
  - (seiscomp.datamodel.CompositeTime method)
  - (seiscomp.datamodel.ConfidenceEllipsoid method)
  - (seiscomp.datamodel.Config method)
  - (seiscomp.datamodel.ConfigModule method)
  - (seiscomp.datamodel.ConfigStation method)
  - (seiscomp.datamodel.CreationInfo method)
  - (seiscomp.datamodel.DataAttributeExtent method)
  - (seiscomp.datamodel.DataAvailability method)
  - (seiscomp.datamodel.DataExtent method)
  - (seiscomp.datamodel.Datalogger method)
  - (seiscomp.datamodel.DataloggerCalibration method)
  - (seiscomp.datamodel.DataSegment method)
  - (seiscomp.datamodel.DataUsed method)
  - (seiscomp.datamodel.Decimation method)
  - (seiscomp.datamodel.Event method)
  - (seiscomp.datamodel.EventDescription method)
  - (seiscomp.datamodel.EventParameters method)
  - (seiscomp.datamodel.FocalMechanism method)
  - (seiscomp.datamodel.FocalMechanismReference method)
  - (seiscomp.datamodel.IntegerQuantity method)
  - (seiscomp.datamodel.Inventory method)
  - (seiscomp.datamodel.JournalEntry method)
  - (seiscomp.datamodel.Journaling method)
  - (seiscomp.datamodel.Magnitude method)
  - (seiscomp.datamodel.MomentTensor method)
  - (seiscomp.datamodel.MomentTensorComponentContribution method)
  - (seiscomp.datamodel.MomentTensorPhaseSetting method)
  - (seiscomp.datamodel.MomentTensorStationContribution method)
  - (seiscomp.datamodel.Network method)
  - (seiscomp.datamodel.NodalPlane method)
  - (seiscomp.datamodel.NodalPlanes method)
  - (seiscomp.datamodel.Origin method)
  - (seiscomp.datamodel.OriginQuality method)
  - (seiscomp.datamodel.OriginReference method)
  - (seiscomp.datamodel.OriginUncertainty method)
  - (seiscomp.datamodel.Outage method)
  - (seiscomp.datamodel.Parameter method)
  - (seiscomp.datamodel.ParameterSet method)
  - (seiscomp.datamodel.Phase method)
  - (seiscomp.datamodel.Pick method)
  - (seiscomp.datamodel.PickReference method)
  - (seiscomp.datamodel.PrincipalAxes method)
  - (seiscomp.datamodel.QCLog method)
  - (seiscomp.datamodel.QualityControl method)
  - (seiscomp.datamodel.Reading method)
  - (seiscomp.datamodel.RealArray method)
  - (seiscomp.datamodel.RealPDF1D method)
  - (seiscomp.datamodel.RealQuantity method)
  - (seiscomp.datamodel.ResponseFAP method)
  - (seiscomp.datamodel.ResponseFIR method)
  - (seiscomp.datamodel.ResponseIIR method)
  - (seiscomp.datamodel.ResponsePAZ method)
  - (seiscomp.datamodel.ResponsePolynomial method)
  - (seiscomp.datamodel.Route method)
  - (seiscomp.datamodel.RouteArclink method)
  - (seiscomp.datamodel.RouteSeedlink method)
  - (seiscomp.datamodel.Routing method)
  - (seiscomp.datamodel.Sensor method)
  - (seiscomp.datamodel.SensorCalibration method)
  - (seiscomp.datamodel.SensorLocation method)
  - (seiscomp.datamodel.Setup method)
  - (seiscomp.datamodel.SourceTimeFunction method)
  - (seiscomp.datamodel.Station method)
  - (seiscomp.datamodel.StationGroup method)
  - (seiscomp.datamodel.StationMagnitude method)
  - (seiscomp.datamodel.StationMagnitudeContribution method)
  - (seiscomp.datamodel.StationReference method)
  - (seiscomp.datamodel.Stream method)
  - (seiscomp.datamodel.Tensor method)
  - (seiscomp.datamodel.TimeArray method)
  - (seiscomp.datamodel.TimePDF1D method)
  - (seiscomp.datamodel.TimeQuantity method)
  - (seiscomp.datamodel.TimeWindow method)
  - (seiscomp.datamodel.WaveformQuality method)
  - (seiscomp.datamodel.WaveformStreamID method)
- equalIndex() (seiscomp.datamodel.Access method)
  - (seiscomp.datamodel.AmplitudeReference method)
  - (seiscomp.datamodel.ArclinkRequest method)
  - (seiscomp.datamodel.ArclinkRequestLine method)
  - (seiscomp.datamodel.ArclinkStatusLine method)
  - (seiscomp.datamodel.ArclinkUser method)
  - (seiscomp.datamodel.Arrival method)
  - (seiscomp.datamodel.AuxDevice method)
  - (seiscomp.datamodel.AuxSource method)
  - (seiscomp.datamodel.AuxStream method)
  - (seiscomp.datamodel.Comment method)
  - (seiscomp.datamodel.ConfigStation method)
  - (seiscomp.datamodel.DataAttributeExtent method)
  - (seiscomp.datamodel.DataExtent method)
  - (seiscomp.datamodel.Datalogger method)
  - (seiscomp.datamodel.DataloggerCalibration method)
  - (seiscomp.datamodel.DataSegment method)
  - (seiscomp.datamodel.Decimation method)
  - (seiscomp.datamodel.EventDescription method)
  - (seiscomp.datamodel.FocalMechanismReference method)
  - (seiscomp.datamodel.MomentTensorComponentContribution method)
  - (seiscomp.datamodel.MomentTensorPhaseSetting method)
  - (seiscomp.datamodel.Network method)
  - (seiscomp.datamodel.OriginReference method)
  - (seiscomp.datamodel.Outage method)
  - (seiscomp.datamodel.PickReference method)
  - (seiscomp.datamodel.QCLog method)
  - (seiscomp.datamodel.ResponseFAP method)
  - (seiscomp.datamodel.ResponseFIR method)
  - (seiscomp.datamodel.ResponseIIR method)
  - (seiscomp.datamodel.ResponsePAZ method)
  - (seiscomp.datamodel.ResponsePolynomial method)
  - (seiscomp.datamodel.Route method)
  - (seiscomp.datamodel.RouteArclink method)
  - (seiscomp.datamodel.RouteSeedlink method)
  - (seiscomp.datamodel.Sensor method)
  - (seiscomp.datamodel.SensorCalibration method)
  - (seiscomp.datamodel.SensorLocation method)
  - (seiscomp.datamodel.Setup method)
  - (seiscomp.datamodel.Station method)
  - (seiscomp.datamodel.StationGroup method)
  - (seiscomp.datamodel.StationMagnitudeContribution method)
  - (seiscomp.datamodel.StationReference method)
  - (seiscomp.datamodel.Stream method)
  - (seiscomp.datamodel.WaveformQuality method)
- evaluationMode
  - configuration value
- evaluationMode() (seiscomp.datamodel.Amplitude method)
  - (seiscomp.datamodel.FocalMechanism method)
  - (seiscomp.datamodel.Origin method)
  - (seiscomp.datamodel.Pick method)
- evaluationStatus() (seiscomp.datamodel.FocalMechanism method)
  - (seiscomp.datamodel.Magnitude method)
  - (seiscomp.datamodel.Origin method)
  - (seiscomp.datamodel.Pick method)
- event
- Event (class in seiscomp.datamodel)
- event() (seiscomp.datamodel.Comment method)
  - (seiscomp.datamodel.EventDescription method)
  - (seiscomp.datamodel.EventParameters method)
  - (seiscomp.datamodel.FocalMechanismReference method)
  - (seiscomp.datamodel.OriginReference method)
- eventActivityLifeSpan
  - configuration value
- eventAssociation.agencies
  - configuration value
- eventAssociation.allowLooseAssociatedArrivals
  - configuration value
- eventAssociation.authors
  - configuration value
- eventAssociation.compareAllArrivalTimes
  - configuration value
- eventAssociation.declareFakeEventForRejectedOrigin
  - configuration value
- eventAssociation.delayFilter.agencyID
  - configuration value
- eventAssociation.delayFilter.author
  - configuration value
- eventAssociation.delayFilter.evaluationMode
  - configuration value
- eventAssociation.delayTimeSpan
  - configuration value
- eventAssociation.enableFallbackMagnitude
  - configuration value
- eventAssociation.eventTimeAfter
  - configuration value
- eventAssociation.eventTimeBefore
  - configuration value
- eventAssociation.ignoreFMDerivedOrigins
  - configuration value
- eventAssociation.magPriorityOverStationCount
  - configuration value
- eventAssociation.magTypes
  - configuration value
- eventAssociation.maximumDistance
  - configuration value
- eventAssociation.maximumMatchingArrivalTimeDiff
  - configuration value
- eventAssociation.maximumTimeSpan
  - configuration value
- eventAssociation.mbOverMwCount
  - configuration value
- eventAssociation.mbOverMwValue
  - configuration value
- eventAssociation.methods
  - configuration value
- eventAssociation.minimumDefiningPhases
  - configuration value
- eventAssociation.minimumMagnitudes
  - configuration value
- eventAssociation.minimumMatchingArrivals
  - configuration value
- eventAssociation.minimumScore
  - configuration value
- eventAssociation.minMwCount
  - configuration value
- eventAssociation.priorities
  - configuration value
- eventAssociation.region.maxDepth
  - configuration value
- eventAssociation.region.minDepth
  - configuration value
- eventAssociation.region.rect
  - configuration value
- eventAssociation.score
  - configuration value
- eventAssociationTimeout
  - configuration value
- eventCount() (seiscomp.datamodel.EventParameters method)
- EventDescription (class in seiscomp.datamodel)
- eventDescription() (seiscomp.datamodel.Event method), [1]
- eventDescriptionCount() (seiscomp.datamodel.Event method)
- eventedit.fm.visibleColumns
  - configuration value, [1]
- eventedit.origin.customColumn.colors
  - configuration value, [1]
- eventedit.origin.customColumn.default
  - configuration value, [1]
- eventedit.origin.customColumn.name
  - configuration value, [1]
- eventedit.origin.customColumn.originCommentID
  - configuration value, [1]
- eventedit.origin.customColumn.pos
  - configuration value, [1]
- eventedit.origin.visibleColumns
  - configuration value, [1]
- eventedit.triggerFM
  - configuration value, [1]
- eventFormats
  - configuration value
- eventIDLookupMargin
  - configuration value
- eventIDPattern
  - configuration value
- eventIDPrefix
  - configuration value
- eventLegendPosition
  - configuration value
- eventlist.customColumn.colors
  - configuration value, [1]
- eventlist.customColumn.default
  - configuration value, [1]
- eventlist.customColumn.eventCommentID
  - configuration value, [1]
- eventlist.customColumn.name
  - configuration value, [1]
- eventlist.customColumn.originCommentID
  - configuration value, [1]
- eventlist.customColumn.pos
  - configuration value, [1]
- eventlist.filter.agencies.enabled
  - configuration value, [1]
- eventlist.filter.agencies.label
  - configuration value, [1]

- eventlist.filter.agencies.type
  - configuration value, [1]
- eventlist.filter.agencies.whitelist
  - configuration value, [1]
- eventlist.filter.database.maxdepth
  - configuration value, [1]
- eventlist.filter.database.maxlat
  - configuration value, [1]
- eventlist.filter.database.maxlon
  - configuration value, [1]
- eventlist.filter.database.maxmag
  - configuration value, [1]
- eventlist.filter.database.mindepth
  - configuration value, [1]
- eventlist.filter.database.minlat
  - configuration value, [1]
- eventlist.filter.database.minlon
  - configuration value, [1]
- eventlist.filter.database.minmag
  - configuration value, [1]
- eventlist.filter.regions.enabled
  - configuration value, [1]
- eventlist.filter.regions.profiles
  - configuration value, [1]
- eventlist.filter.regions.region.$name.name
  - configuration value, [1]
- eventlist.filter.regions.region.$name.poly
  - configuration value, [1]
- eventlist.filter.regions.region.$name.rect
  - configuration value, [1]
- eventlist.filter.types.blacklist
  - configuration value, [1]
- eventlist.filter.types.enabled
  - configuration value, [1]
- eventlist.filter.types.label
  - configuration value, [1]
- eventlist.scripts.column.$name.label
  - configuration value, [1]
- eventlist.scripts.column.$name.pos
  - configuration value, [1]
- eventlist.scripts.column.$name.script
  - configuration value, [1]
- eventlist.scripts.column.$name.types
  - configuration value, [1]
- eventlist.scripts.columns
  - configuration value, [1]
- eventlist.visibleColumns
  - configuration value, [1]
- EventParameters (class in seiscomp.datamodel)
- eventParameters() (seiscomp.datamodel.Amplitude method)
  - (seiscomp.datamodel.Event method)
  - (seiscomp.datamodel.FocalMechanism method)
  - (seiscomp.datamodel.Origin method)
  - (seiscomp.datamodel.Pick method)
  - (seiscomp.datamodel.Reading method)
- events.timeAgo.days
  - configuration value, [1]
- events.timeAgo.hours
  - configuration value, [1]
- events.timeAgo.minutes
  - configuration value, [1]
- events.timeAgo.seconds
  - configuration value, [1]
- eventsummary.alertTimer.alertGradient
  - configuration value, [1]
- eventsummary.alertTimer.commentBlacklist
  - configuration value, [1]
- eventsummary.alertTimer.commentId
  - configuration value, [1]
- eventsummary.alertTimer.textSize
  - configuration value, [1]
- eventTable.columns
  - configuration value
- eventTable.visible
  - configuration value
- eventType.blacklist
  - configuration value
- eventType.overwriteEventType
  - configuration value, [1]
- eventType.overwriteManual
  - configuration value, [1]
- eventType.pickCommentIDs
  - configuration value, [1]
- eventType.setEventType
  - configuration value, [1]
- eventType.whitelist
  - configuration value
- EvGrabOrg()
  - built-in function
- EvMerge()
  - built-in function
- EvName()
  - built-in function
- EvNewEvent()
  - built-in function
- EvOpComment()
  - built-in function
- EvPrefFocMecID()
  - built-in function
- EvPrefMagType()
  - built-in function
- EvPrefMw()
  - built-in function
- EvPrefOrgAutomatic()
  - built-in function
- EvPrefOrgEvalMode()
  - built-in function
- EvPrefOrgID()
  - built-in function
- EvRefresh()
  - built-in function
- EvSplitOrg()
  - built-in function
- EvType()
  - built-in function
- EvTypeCertainty()
  - built-in function
- ew2sc command line option
  - --auto-shutdown
  - --component
  - --config-file
  - --config-module
  - --console
  - --content-type
  - --daemon
  - --database
  - --db-disable
  - --db-driver-list
  - --debug
  - --help
  - --host
  - --inventory-db
  - --lockfile
  - --log-file
  - --plugins
  - --primary-group
  - --quiet
  - --shutdown-master-module
  - --shutdown-master-username
  - --start-stop-msg
  - --subscribe-group
  - --syslog
  - --timeout
  - --user
  - --v
  - --verbosity
  - --version
  - -D
  - -d
  - -g
  - -h
  - -H
  - -l
  - -q
  - -s
  - -S
  - -t
  - -u
  - -V
  - -v
- ew2sc3.author
  - configuration value
- ew2sc3.configPath
  - configuration value
- ew2sc3.customAgencyID
  - configuration value
- ew2sc3.defaultLatitude
  - configuration value
- ew2sc3.defaultLongitude
  - configuration value
- ew2sc3.enableArchiving
  - configuration value
- ew2sc3.enableUncertainties
  - configuration value
- ew2sc3.hostname
  - configuration value
- ew2sc3.instID
  - configuration value
- ew2sc3.locatorProfile
  - configuration value
- ew2sc3.maxMsgSize
  - configuration value
- ew2sc3.maxUncertainty
  - configuration value
- ew2sc3.modID
  - configuration value
- ew2sc3.myAliveInt
  - configuration value
- ew2sc3.myAliveString
  - configuration value
- ew2sc3.pickerUncertainties
  - configuration value
- ew2sc3.senderAliveString
  - configuration value
- ew2sc3.senderPort
  - configuration value
- ew2sc3.senderTimeout
  - configuration value
- expiredEventsInterval
  - configuration value
- exportHosts
  - configuration value
- ExternalLocator.profiles
  - configuration value, [1]
- extraPickComments
  - configuration value